> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/webhooks-v2/resend-failed-notifications",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Resend failed notifications

> Resend all failed notifications for a webhook in the last 24 hours

Endpoint Permission: Owner, Admin, Non-Signing Admin, Editor, Signer.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /webhooks/{webhookId}/notifications/resend_failed
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /webhooks/{webhookId}/notifications/resend_failed:
    post:
      tags:
        - Webhooks V2
      summary: Resend failed notifications
      description: |
        Resend all failed notifications for a webhook in the last 24 hours

        Endpoint Permission: Owner, Admin, Non-Signing Admin, Editor, Signer.
      operationId: resendFailedNotifications
      parameters:
        - $ref: '#/components/parameters/X-Idempotency-Key'
        - name: webhookId
          description: The ID of the webhook
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResendFailedNotificationsRequest'
      responses:
        '200':
          description: No failed notifications to resend
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResendFailedNotificationsResponse'
        '202':
          description: >-
            Resend failed notifications request was accepted and is being
            processed
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
            Location:
              $ref: '#/components/headers/Location'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResendFailedNotificationsResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<ResendFailedNotificationsResponse>> =
            fireblocks.webhooksV2.resendFailedNotifications(webhooksV2ApiResendFailedNotificationsRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<ResendFailedNotificationsResponse>>
            response =
            fireblocks.webhooksV2().resendFailedNotifications(resendFailedNotificationsRequest,
            webhookId, idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.webhooks_v2.resend_failed_notifications(resend_failed_notifications_request,
            webhook_id, idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    ResendFailedNotificationsRequest:
      type: object
      properties:
        startTime:
          type: number
          description: >
            (optional) Start time for the resend window in milliseconds since
            epoch up to 24 hours before the current time - Default if missing
            means 24 hours before the current time in milliseconds since epoch -
            Maximum value is current time in milliseconds since epoch - Minimum
            value is 24 hours before the current time in milliseconds since
            epoch
          example: 1625097600000
        events:
          type: array
          description: |
            (optional) Event types to resend, default is all event types
                - Default if missing means all events will be included
                - Empty array means all events will be included
          example:
            - transaction.created
            - transaction.status.updated
          items:
            $ref: '#/components/schemas/WebhookEvent'
    ResendFailedNotificationsResponse:
      type: object
      properties:
        total:
          type: number
          description: >-
            The total number of failed notifications that are scheduled to be
            resent.
          example: 10
    WebhookEvent:
      type: string
      enum:
        - transaction.created
        - transaction.status.updated
        - transaction.approval_status.updated
        - transaction.network_records.processing_completed
        - external_wallet.asset.added
        - external_wallet.asset.removed
        - internal_wallet.asset.added
        - internal_wallet.asset.removed
        - contract_wallet.asset.added
        - contract_wallet.asset.removed
        - vault_account.created
        - vault_account.asset.added
        - vault_account.asset.balance_updated
        - embedded_wallet.status.updated
        - embedded_wallet.created
        - embedded_wallet.asset.balance_updated
        - embedded_wallet.asset.added
        - embedded_wallet.account.created
        - embedded_wallet.device.added
        - onchain_data.updated
        - connection.added
        - connection.removed
        - connection.request.waiting_peer_approval
        - connection.request.rejected_by_peer
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
    Location:
      schema:
        type: string
      description: The location URL of the request status
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````